*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}
.downloader{
    height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background: linear-gradient(#7D3C98,#A569BD);
}

.main{
    width: 50%;
    display: flex;
    flex-direction: column;
    padding: 15px;
    border-radius: 5px;
    background: #fff;
    box-shadow: 0.1px 4px 8px 2px rgba(0, 0, 0, 0.05);
}

.main form{
    width: 100%;
    height: 45px;
    display: flex;
    justify-content: space-between;
}

.main form input:first-child{
    width: 80%;
    height: 100%;
    padding: 10px;
    border: none;
    outline: none;
    margin-right: 4px;
    border-radius: 5px;
    font-size: 1em;
    box-shadow: 0.1px 2px 8px 4px rgba(0, 0, 0, 0.05);
}

.main form input:last-child{
    width: 20%;
    height: 100%;
    padding: 10px;
    margin-left: 4px;
    border: none;
    outline: none;
    border-radius: 5px;
    background: #7D3C98;
    color: #fff;
    font-size: 1em;
    cursor: pointer;
    box-shadow: 0.1px 2px 8px 4px rgba(0, 0, 0, 0.05);
}

.video_detail_box{
    width: 100%;
    margin-top: 1em;
}

.video_detail_box .thumbnail_box{
    position: relative;
}

.thumbnail_box #img_download_btn{
    position: absolute;
    right: 10px;
    bottom: 10px;
    color: #fff;
    height: 35px;
    width: 35px;
    border-radius: 50%;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: #7D3C98;
}

.thumbnail_box #original_video_link_btn{
    position: absolute;
    right: 55px;
    bottom: 10px;
    color: #fff;
    height: 35px;
    width: 35px;
    border-radius: 50%;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: #EC407A;
}

.thumbnail_box img{
    height: auto;
    width: 100%;
    border-radius: 5px;
    object-fit: cover;
}

.text_info{
    width: 100%;
    display: flex;
    flex-direction: column;
    margin-top: 10px;
}

.text_info table{
    border: 1px dashed #ccc;
    margin-top: 10px;
}

.text_info table th{
    padding: 10px;
}
.text_info table td{
   text-align: center;
   padding: 10px;
}

.additional_info{
    display: flex;
    align-items: center;
    margin-top: 10px;
}

.additional_info a{
    padding: 5px 10px 5px 10px;
    color: #fff;
    font-size: 13px;
    border-radius: 5px;
    text-decoration: none;
    background: #7D3C98;
}

.additional_info p{
    padding: 5px 10px 5px 10px;
    color: #000;
    font-size: 13px;
    border-radius: 5px;
    margin-left: 5px;
    box-shadow: 0.1px 2px 8px 4px rgba(0, 0, 0, 0.05);
}

#download_btn{
    color: #fff;
    text-decoration: none;
    background: #7D3C98;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 5px;
    padding-bottom: 5px;
    border-radius: 5px;
    font-size: 15px;
    display: inline-block;
}

.instruction_box{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    margin-top: 2em;
}

.instruction_box h3{
    margin-top: 10px;
}
.instruction_box p{
    font-size: 14px;
    margin-top: 5px;
}

.instruction_box label{
    height: 50px;
    width: 50px;
    border-radius: 50%;
    background: #7D3C98;
    display: flex;
    align-items: center;
    justify-content: center;
}

.instruction_box label i{
    color: #fff;
    font-size: 1.2em;
}


@media (max-width: 800px) {
    .main{
        width: 70%;
    }
}

@media (max-width: 500px) {
    .main{
        width: 80%;
    }
}